import { IMenu } from '@csnext/cs-core';
import { GraphElement } from '@csnext/cs-data';
import Vue from 'vue';
import { DocDatasource } from '../datasources/doc-datasource';
export default class ElementContextMenu extends Vue {
    x: number;
    y: number;
    element: GraphElement;
    source: DocDatasource;
    showContextMenu: boolean;
    itemUpdated(): void;
    listUpdated(): void;
    contextMenuitems: IMenu[];
    private callAction;
    initMenu(): void;
    mounted(): void;
}
